#include "typesize.h"
#include "strhash.h"
typedef struct {
	unsigned int namelen;
	uo_uint64_t bytes;
	strhash_t *others;
} accorec_t;
#define ACCORECNAME(x) (((char *)x)+sizeof(*x))

int
accorec_add(accorec_t *,
	const void *othername, unsigned int othernamelen,
	unsigned long packets, unsigned long bytes);
accorec_t *accorec_lookup(strhash_t *, const void *name, unsigned int namelen);
accorec_t *accorec_new(strhash_t *, const void *name, unsigned int namelen,
	int multilevel);
void accorec_print(char *,unsigned int, accorec_t *);
void accorec_print_ipv4(char *, unsigned int);
void accorec_print_class(char *, unsigned int);
void accorec_print_bytes(uo_uint64_t b);
void (*accorec_print_name1)(char *, unsigned int);
void (*accorec_print_name2)(char *, unsigned int);


